-- MySQL dump 9.11
--
-- Host: localhost    Database: callcenter
-- ------------------------------------------------------
-- Server version	4.0.21-log

--
-- Table structure for table `agentcontracts`
--

CREATE TABLE agentcontracts (
  pkey int(10) unsigned NOT NULL auto_increment,
  contract int(10) unsigned NOT NULL default '0',
  agent int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (pkey),
  KEY agent (agent),
  KEY contract (contract),
  UNIQUE KEY ac (agent, contract)
) TYPE=MyISAM;

--
-- Table structure for table `agents`
--

CREATE TABLE agents (
  pkey int(10) unsigned NOT NULL auto_increment,
  firstname varchar(40) default '',
  surname varchar(40) NOT NULL default '',
  id varchar(40) NOT NULL default '',
  active tinyint(1) NOT NULL default '1',
  normal tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (pkey),
  UNIQUE KEY id (id)
) TYPE=MyISAM;

--
-- Table structure for table `calls`
--

CREATE TABLE calls (
  pkey int(10) unsigned NOT NULL auto_increment,
  agent int(10) unsigned NOT NULL default '0',
  number int(10) unsigned NOT NULL default '0',
  dialtime datetime NOT NULL default '0000-00-00 00:00:00',
  hanguptime datetime default '0000-00-00 00:00:00',
  phone int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (pkey),
  KEY dialtime (dialtime),
  KEY agent (agent),
  KEY phone (phone),
  KEY number (number)
) TYPE=MyISAM;

--
-- Table structure for table `contracts`
--

CREATE TABLE contracts (
  pkey int(10) unsigned NOT NULL auto_increment,
  contracttitle varchar(40) NOT NULL default '',
  field1 varchar(40) NOT NULL default '-',
  field2 varchar(40) NOT NULL default '-',
  field3 varchar(40) NOT NULL default '-',
  field4 varchar(40) NOT NULL default '-',
  contractor varchar(40) default '',
  date datetime NOT NULL default '0000-00-00 00:00:00',
  field1required int(2) NOT NULL default '0',
  field2required int(2) NOT NULL default '0',
  field3required int(2) NOT NULL default '0',
  field4required int(2) NOT NULL default '0',
  free tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (pkey)
) TYPE=MyISAM;

--
-- Table structure for table `logins`
--

CREATE TABLE logins (
  pkey int(10) unsigned NOT NULL auto_increment,
  logintime datetime NOT NULL default '0000-00-00 00:00:00',
  logouttime datetime default '0000-00-00 00:00:00',
  agent int(10) unsigned NOT NULL default '0',
  phone int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (pkey),
  KEY agent (agent),
  KEY logintime (logintime),
  KEY phone (phone)
) TYPE=MyISAM;

--
-- Table structure for table `negative`
--

CREATE TABLE negative (
  pkey int(10) unsigned NOT NULL auto_increment,
  prefix varchar(40) NOT NULL default '',
  phonenumber varchar(40) NOT NULL default '',
  completenum varchar(40) default NULL,
  PRIMARY KEY  (pkey),
  UNIQUE KEY phonenumber (prefix,phonenumber),
  UNIQUE KEY completenum (completenum)
) TYPE=MyISAM;

--
-- Table structure for table `numbers`
--

CREATE TABLE numbers (
  pkey int(10) unsigned NOT NULL auto_increment,
  contract int(10) unsigned NOT NULL default '0',
  agent int(10) unsigned NOT NULL default '0',
  state int(10) unsigned NOT NULL default '0',
  no int(10) unsigned NOT NULL default '0',
  nextcalldate datetime NOT NULL default '0000-00-00 00:00:00',
  salutation varchar(10) default '',
  firstname varchar(40) default '',
  surname varchar(40) NOT NULL default '',
  birthday varchar(40) default '',
  job varchar(40) default '',
  bankname varchar(40) default '',
  banknumber varchar(40) default '',
  accountnumber varchar(40) default '',
  accountowner varchar(40) default '',
  street varchar(40) default '',
  zipcode varchar(40) default '',
  location varchar(40) default '',
  prefix varchar(40) NOT NULL default '',
  phonenumber varchar(40) NOT NULL default '',
  prefix2 varchar(40) default '',
  phonenumber2 varchar(40) default '',
  field1 varchar(40) default '',
  field2 varchar(40) default '',
  field3 varchar(40) default '',
  field4 varchar(40) default '',
  remark text,
  normal tinyint(1) NOT NULL default '1',
  dirty tinyint(1) NOT NULL default '0',
  completenum varchar(40) default NULL,
  PRIMARY KEY  (pkey),
  KEY phonenumber (prefix,phonenumber),
  KEY contract (contract),
  KEY agent (agent),
  KEY state (state),
  KEY nextcalldate (nextcalldate),
  KEY dirty (dirty),
  KEY no (no),
  KEY completenum (completenum),
  KEY normal (normal)
) TYPE=MyISAM;

--
-- Table structure for table `numbers2`
--

CREATE TABLE numbers2 (
  pkey int(10) unsigned NOT NULL auto_increment,
  nextcalldate datetime NOT NULL default '0000-00-00 00:00:00',
  salutation varchar(10) default '',
  firstname varchar(40) default '',
  surname varchar(40) NOT NULL default '',
  street varchar(40) default '',
  zipcode varchar(40) default '',
  location varchar(40) default '',
  prefix varchar(40) NOT NULL default '',
  phonenumber varchar(40) NOT NULL default '',
  completenum varchar(40) default NULL,
  PRIMARY KEY  (pkey),
  UNIQUE KEY phonenumber (prefix,phonenumber),
  UNIQUE KEY nsl (surname,street,location),
  UNIQUE KEY completenum (completenum),
  UNIQUE KEY doubleentry (surname,street,zipcode,location),
  KEY nextcalldate (nextcalldate)
) TYPE=MyISAM;

--
-- Table structure for table `pauses`
--

CREATE TABLE pauses (
  pkey int(10) unsigned NOT NULL auto_increment,
  beginpause datetime NOT NULL default '0000-00-00 00:00:00',
  phone int(10) unsigned NOT NULL default '0',
  endpause datetime NOT NULL default '0000-00-00 00:00:00',
  agent int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (pkey),
  KEY agent (agent),
  KEY phone (phone),
  KEY beginpause (beginpause)
) TYPE=MyISAM;

--
-- Table structure for table `sip`
--

CREATE TABLE sip (
  pkey int(10) unsigned NOT NULL auto_increment,
  client varchar(40) NOT NULL default '',
  server varchar(40) NOT NULL default '',
  realm varchar(40) NOT NULL default '',
  display varchar(40) default '',
  number varchar(40) NOT NULL default '',
  username varchar(40) default '',
  password varchar(40) NOT NULL default '',
  usestun tinyint(1) NOT NULL default '0',
  stunserver varchar(40) default '',
  countryprefix varchar(10) NOT NULL default '',
  PRIMARY KEY  (pkey),
  UNIQUE KEY client (client)
) TYPE=MyISAM;

--
-- Table structure for table `states`
--

CREATE TABLE states (
  pkey int(10) unsigned NOT NULL auto_increment,
  statename varchar(40) NOT NULL default '',
  PRIMARY KEY  (pkey),
  UNIQUE KEY statename (statename)
) TYPE=MyISAM;

-- MySQL dump 9.11
--
-- Host: localhost    Database: callcenter
-- ------------------------------------------------------
-- Server version	4.0.21-log

--
-- Dumping data for table `states`
--

INSERT INTO states VALUES (1,'free');
INSERT INTO states VALUES (2,'reserved');
INSERT INTO states VALUES (3,'not available');
INSERT INTO states VALUES (4,'date');
INSERT INTO states VALUES (5,'negative list');
INSERT INTO states VALUES (6,'yellow');
INSERT INTO states VALUES (7,'contract');
INSERT INTO states VALUES (8,'no contract');

