#include "phonenumbers.h"
#include "callcenterVars.h"
#include <qmessagebox.h>

#include "kphoneview.h"
#include "kcallwidget.h"
#include <qsqlrecord.h>
#include <qsqlquery.h>
#include <qdatatable.h>
#include "../dissipate2/sipuser.h"
#include "../dissipate2/sipuri.h"
#include "../dissipate2/sipcall.h"


void KPhoneView::selectContractSlot( QSqlRecord * buf )
{
  contractKey = buf->value( "pkey" ).toString();
  contractFree = buf->value( "free" ).toInt();

printf( "rem Log in contract: %s %s (pkey=%s); %s.%03d\n", buf->value( "contractor" ).toString().ascii(), buf->value( "contracttitle" ).toString().ascii(), contractKey.ascii(), QTime::currentTime().toString().latin1(), QTime::currentTime().msec() );//!!rem

  if( ( agentNormal == "1" ) && ( !contractFree ) ) {
    QSqlQuery q4( "update numbers set state = 1 where state = 2 and dirty = 0 and normal = 1 and agent = " + agentKey );
    QSqlQuery q3( "update numbers set agent = " + agentKey + ", state = 2, contract = " + contractKey + " where state = 1 and normal = 1 limit 1000" );
  }

  QSqlQuery q0 ( "select count(*) from numbers where agent = " + agentKey + " and contract = " + contractKey + " and state >= 2 and state <= 4 and nextcalldate <= now()" );
  if ( q0.next() ) {
    int entries = q0.value( 0 ).toInt();
    if ( contractFree ) {
      if ( entries == 0 ) {
	QSqlQuery q5( "insert into numbers (contract, agent, state, no, nextcalldate, prefix, phonenumber, normal) values (" + contractKey + ", " + agentKey + ", 2, 0, now(), '', '', 0)" );
      } // else: there are dates/retries or dirty entries, which have to be processed first
    }
    else if ( entries == 0 ) {
      QMessageBox::information( this, tr( "Information" ), tr( "There are no further numbers to call for this contract." ) );
//    parentWidget()->close();
      return;
    }
  }
  updateWidgetList();
  
  QSqlQuery q( "insert into logins ( agent, logintime, phone ) values (" + agentKey + ", now(), " + phonekey + ")" );
  QString subject = "";
  SipCall *newcall = new SipCall( user, QString::null, SipCall::StandardCall );
  newcall->setSubject( user->getUri().uri() );
  KCallWidget *d = new KCallWidget( sipauthentication, callAudio, newcall, this );
  cwList.append( d );
  d->setRemote( subject );
  connect( d, SIGNAL( redirectCall( const SipUri &, const QString & ) ),
	   this, SLOT( redirectCall( const SipUri &, const QString & ) ) );
  d->exec();
  disconnect( d, SIGNAL( redirectCall( const SipUri &, const QString & ) ), this, 0 );
  cwList.remove( d );
//  parentWidget()->close();

printf( "rem Log out contract: %s %s (pkey=%s); %s.%03d\n", buf->value( "contractor" ).toString().ascii(), buf->value( "contracttitle" ).toString().ascii(), contractKey.ascii(), QTime::currentTime().toString().latin1(), QTime::currentTime().msec() );//!!rem

  QSqlQuery q1( "select logintime from logins where agent = " + agentKey + " and phone = " + phonekey + " order by logintime DESC" );
  QString lastlogintime = "";
  if ( q1.next() ) {
    lastlogintime = q1.value( 0 ).toString();
    lastlogintime[10] = ' ';                        
  }
  QSqlQuery q2( "update logins set logouttime = now() where agent = " + agentKey + " and logintime = '" + lastlogintime + "' and phone = " + phonekey );

  if( ( agentNormal == "1" ) && ( !contractFree ) )
    QSqlQuery q4( "update numbers set state = 1 where state = 2 and dirty = 0 and normal = 1 and agent = " + agentKey );
}
